
I gave birth to a baby girl exactly eleven months before the miscarriage. My next baby had been in my womb for three months when I miscarried. Earlier that day I had started planning to go to the doctor that day because for the previous three days I had been having bloody discharges. I had not yet called the doctor when my water broke and then I started bleeding profusely. [med: in the womb (uterus) the fetus is surrounded and cushioned by a fluid-filled membranous sac called the ‘amniotic sac.’ At the beginning of or during labor, the membranes of that sac rupture and the fluid comes out—also known as the ‘water breaking.’] I called my mom since my three kids were the only ones with me. Also, I called my sister-in-law, who lived next door, to clean up the mess because I didn't want my children to see it. I could feel myself slowly drifting away. I was wondering why I didn't feel any pain while I was going through it. My mom arrived panic-stricken and all. I thought to myself, ‘I'll be fine now that she's here.’

I closed my eyes and felt like I was teleported to another place. I saw shadows of people hovering above me and I felt like I had just been born. And they felt so familiar, like they had anticipated my coming. I didn't know what to expect, but I wasn't scared. A part of me was asking myself if I wanted to stay there and leave my children behind. But I thought, ‘I'm not done with my present life yet,’ and I willed myself to go back. I opened my eyes and saw my mom and sister-in-law. At first, I couldn't recognize them, but gradually my senses became more active. I begged for water as if my life depended on it. It was then I understood why Jesus asked for water when he was dying. He was trying to hold on to dear life because his business here wasn't done yet. I also realized then that death can be a choice.
